=== debian/changelog ===
kwave (20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Use /usr/share/dpkg/architecture.mk instead of manually querying for
    $DEB_HOST_ARCH_OS.
  * Rename lintian-overrides to kwave.lintian-overrides, to make it explicit
    which package it refers to.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 15:15:30 +0100

kwave (20.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add upstream metadata.
  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 22:45:08 +0100

kwave (20.08.2-1) unstable; urgency=medium

  * Team upload.
  * Add upstream tarball signature validation to watch file, borrow signing
    key from k3b.
  * New upstream release (20.08.2).
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.14.0
    - bump KF packages to 5.33.0
  * Build with hardening=+all build hardening flag.
  * Bump debhelper compatibility level to 13.
  * Migrate copyright information to DEP-5 machine readable format.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 30 Oct 2020 17:46:17 +0100
