=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.14.0~),
-               qtmultimedia5-dev (>= 5.14.0~)
+               qtmultimedia5-dev (>= 5.14.0~),
 Homepage: https://apps.kde.org/en/kwave
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwave.git
