## kwave 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,9 +23,9 @@
 #############################################################################
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 #############################################################################
 ### build options:                                                        ###
@@ -64,7 +64,7 @@
 #############################################################################
 ### required versions                                                     ###
 
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12 FATAL_ERROR)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.16.0 FATAL_ERROR)
 
 # Honor visibility properties for all target types (since cmake 3.3)
 IF (POLICY CMP0063)
