=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kwave
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
@@ -39,8 +40,8 @@
                qtmultimedia5-dev (>= 5.14.0~),
 Homepage: https://apps.kde.org/en/kwave
 Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwave.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwave
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwave
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwave
 Rules-Requires-Root: no
 
 Package: kwave
